{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% block content %}
<div class="tile is-parent is-main-tile">
  <div class="tile box is-child">
    <h2 class="title is-2">{{ strings.import_groups }}</h2>
    <form method="post" enctype="multipart/form-data">
      <div id="file-groups" class="file has-name">
        <label class="file-label">
          <input class="file-input" type="file" name="file_groups">
          <span class="file-cta">
            <span class="file-icon">
              <i class="fas fa-upload"></i>
            </span>
            <span class="file-label">
              {{ strings.choose_file }}
            </span>
          </span>
          <span class="file-name">
            {{ strings.no_file }}
          </span>
        </label>
      </div>

      <script>
        const fileInput = document.querySelector('#file-groups input[type=file]');
        fileInput.onchange = () => {
          if (fileInput.files.length > 0) {
            const fileName = document.querySelector('#file-groups .file-name');
            fileName.textContent = fileInput.files[0].name;
          }
        }
      </script>
      <br>
      {{ forms.button(strings.import) }}
    </form>

    <br><br>

    <h2 class="title is-2">{{ strings.import_users }}</h2>
    <form method="post" enctype="multipart/form-data">
      <div id="file-users" class="file has-name">
        <label class="file-label">
          <input class="file-input" type="file" name="file_users">
          <span class="file-cta">
            <span class="file-icon">
              <i class="fas fa-upload"></i>
            </span>
            <span class="file-label">
              {{ strings.choose_file }}
            </span>
          </span>
          <span class="file-name">
            {{ strings.no_file }}
          </span>
        </label>
      </div>

      <script>
        const fileInput2 = document.querySelector('#file-users input[type=file]');
        fileInput2.onchange = () => {
          if (fileInput2.files.length > 0) {
            const fileName2 = document.querySelector('#file-users .file-name');
            fileName2.textContent = fileInput2.files[0].name;
          }
        }
      </script>
      <br>
      {{ forms.button(strings.import) }}
    </form>
  </div>
</div>
{% endblock %}
